﻿using System;
using System.Windows.Forms;

namespace CustomControl.Tree
{
    public class TreeNodeChangedEventArgs : EventArgs
    {
        private readonly TreeNode oldValue;
        private readonly TreeNode newValue;

        public TreeNodeChangedEventArgs(TreeNode oldValue, TreeNode newValue)
        {
            this.oldValue = oldValue;
            this.newValue = newValue;
        }

        public TreeNode OldValue => this.oldValue;

        public TreeNode NewValue => this.newValue;
    }
}
